Subject: Re: [PATCH] git-svn init/clone --stdlayout option to default-init trunk/tags/branches

From: Eric Wong <[email-masked]>
Date: Sat, 14 Jul 2007 13:38:05 -0700

martin f krafft <[email-masked]> wrote:
> also sprach Eric Wong <[email-masked]> [2007.07.14.1334 +0200]:
> > I have highlighting search set in my editor (vim :set hls)
> > and usually just search for spaces vs tabs to make sure I'm clean.
> 
> Try:
> 
>   :se lcs=tab:>-,trail,-

That didn't work, this does:

    :se lcs=tab:>-,trail:-

>   augroup listinsert
>     autocmd InsertEnter * set nolist
>     autocmd InsertLeave * set list
>   augroup end

Eep.  Too confusing ;)  I have my hls color set to be a red underscore
(which nothing else in my syntax higlighting uses), so it's less
intrusive for me.

> > Of course, maintaining a consistent whitespace style helps a *lot*
> > with the git/Linux patch exchange development style because it
> > avoids needless patch application conflicts that arise from
> > whitespace differences.
> 
> Using tabs also makes it impossible to X-cut-paste patches from
> emails; you *have* to use git-am and/or a temporary file, which
> i don't like at all.

Ah.  I that's one of the reasons I rarely use X-cut-paste for multi-line
strings.

When I apply patches with or without git-am from email, I just start
mutt inside the working source directory I'm in, and from the mutt index
I spawn vim to edit any email (just hit 'e'), go into visual mode,
select the part I want to apply and pipe that to whatever patch
application program I want to use, and :q! out of vim.

-- 
Eric Wong